Subject: Re: [bug#79099] [PATCH 00/34] git-version rewrite

From: Nicolas Graves <[email-masked]>
Date: Fri, 22 Aug 2025 18:16:15 +0000 (UTC)

> I guess this issue is the counter-part of [1].

> Therefore, how is it going on QA?

The issue is that since the scope of changes is huge, both times I tried to evaluate that through QA resulted in a failure to merge, because while patches were processed, changes in the source code happened.

I tried asking for opening a branch on CI, which would be another way to check that there are no rebuilds (if no rebuilds are necessary compared to master). I can update the -dev branch, but not until Sunday afternoon at least. If you can rebase it (simply always select the upstream version, the worst case is a CLI warning) on master and create a branch, we can see / check if there are some unexpected rebuilds.

Cheers,
Nicolas

1: https://codeberg.org/guix/guix/pulls/1571#issuecomment-5994862